import { ensureFunction } from './utils/ensureFunction';
export function pipe(...fns) {
    return fns.reduceRight((f, g) => {
        const g_ = ensureFunction(g);
        return (...args) => f(g_(...args));
    }, ensureFunction(fns.pop()));
}
